### Method

# Gimp Procedure run

since: 3.0

#### Declaration [src]

    GimpValueArray*
    gimp_procedure_run (
      GimpProcedure* procedure,
      const gchar* first_arg_name,
      ...
    )

#### Description [src]

Runs the procedure named `procedure_name` with arguments given as list of `(name, value)` pairs, terminated by `NULL`.

The order of arguments does not matter and if any argument is missing, its default value will be used. The value type must correspond to the argument type as registered for `procedure_name`.

Available since: 3.0

This method is not directly available to language bindings.

The implementation of this method is provided by `gimp_procedure_run_config()` in language bindings.

#### Parameters

`first_arg_name`

  Type: `const gchar*`

  The name of an argument of `procedure` or `NULL` to run `procedure` with default arguments.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The value of `first_arg_name` and any more argument names and values as needed.

#### Return value

Type: `GimpValueArray`

The return values for the procedure call.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.